
Cognitive Interaction Toolkit - Feature #214

Add status, or currently processed project as stdout

2014-03-13 18:53 - Florian Lier

Status: Resolved Start date: 2014-03-13

Priority: Normal Due date:  

Assignee: Jan Moringen % Done: 100%

Category: build-generator Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

It would be nice to have some output of the build-generator so see whether "stuff" is happening or not. Ideally you could have

something like

"20% of all projects in distribution "XY" have been processed"

"25% of all projects in distribution "XY" have been processed"

"27% of all projects in distribution "XY" have been processed"

Related issues:

duplicated by Cognitive Interaction Toolkit - Feature # 326: [Humanoids] Prog... Rejected 2014-11-18

duplicated by Cognitive Interaction Toolkit - Feature # 337: status output fr... Rejected 2014-11-21

History

#1 - 2014-03-19 18:12 - Jan Moringen

- Status changed from New to In Progress

This is basically implemented, but I omitted it for now to reduce the dependency footprint. I will restore the feature as soon as possible.

#2 - 2014-11-21 21:05 - Simon Schulz

Please add this as soon as possible. It does not have to be fancy. just a printf of the currently processed project would help a lot

#3 - 2015-02-16 21:11 - Jan Moringen

- Subject changed from Jobconfigurator --> Add status, or currently processed project as stdout to Add status, or currently processed project as stdout

- Category set to build-generator

#4 - 2015-08-26 09:39 - Florian Lier

- Status changed from In Progress to Feedback

- % Done changed from 0 to 50

I believe there is a command line parameter for that now.

#5 - 2015-08-26 09:58 - Jan Moringen

Florian Lier wrote:

I believe there is a command line parameter for that now.

 

Not for my definition of status/progress output, but --debug makes the generator spit out this information (along with tons of other stuff).
#6 - 2016-06-22 13:17 - Jan Moringen

- Status changed from Feedback to Resolved

- % Done changed from 50 to 100

Available in generator master.
